<?php $options = get_option( 'og_theme_options' ); // hol die Theme-Optionen ?> 

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="viewport" content="width=device-width, minimum-scale=1.0, maximum-scale=1.0" />
	<title><?php bloginfo('name'); ?> <?php if ( is_home() ) { ?> - <?php bloginfo('description'); } ?> <?php wp_title(); ?> </title>
	<link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />

	<?php if ($options['sidebar_alignment'] == 1) { // richte die Sidebar links aus, wenn Option gewählt ?>
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/sidebar_left.css" type="text/css" media="screen" />
	<?php } ?> 
	<?php if ($options['sidebar_alignment'] == 2) { // blende die Sidebar aus, wenn Option gewählt ?>
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/sidebar_none.css" type="text/css" media="screen" />
	<?php } ?> 

	<?php if ($options['css'] == 1) { // lade das blaue Farbschema, wenn Option gewählt ?>
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/blau.css" type="text/css" media="screen" />
	<?php } elseif ($options['css'] == 2) { // lade das dunkle Farbschema, wenn Option gewählt ?>
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/dunkel.css" type="text/css" media="screen" />
	<?php } ?>

	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<style>

	<?php if ($options['link_color']) { // ändere die Standard-Farbe der Hyperlinks, wenn Wert vorhanden ?>
		a { color: #<?php echo $options['link_color'] ?>; }
	<?php } ?>
	<?php if ($options['hover_color']) { // ändere die Standard-Hover-Farbe, wenn Wert vorhanden ?>
		a:hover { color: #<?php echo $options['hover_color'] ?>; }
	<?php } ?>
	<?php if ($options['inhalt_breite']) { // ändere die Standard-Seitenbreite, wenn Wert eingetragen ?>
		#seitenbreite, #header .inhalt { width: <?php echo $options['inhalt_breite'] ?>; }
	<?php } ?>

	</style>

	<?php 
		if(function_exists('is_singular') && function_exists('wp_enqueue_script')) {  // verschiebe das Formular beim Antworten auf Kommentare
			if (is_singular())
				wp_enqueue_script( 'comment-reply' );
		}
	?>

	<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>> 

	<div id="seitenbreite">

		<div id="header">

			<?php if ($options['bloginfo'] == 1) { // gib Bloginfo und Beschreibung aus, wenn Option gewählt ?>

				<h5 class="bloginfo">

					<a href="<?php echo home_url(); ?>"><?php bloginfo('name'); ?> | <?php bloginfo('description'); ?></a>

				</h5><!--bloginfo-->

			<?php } ?> 

			<div class="social">

				<ul>

				<?php if ($options['facebook'] == 1) { // Facebook Icon anzeigen ?>
					<a href="<?php echo $options['facebook_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/facebook.png">
					<span>
						<?php if ($options['facebook_tooltip']) { // eigene Beschriftung für den Tooltip-Text ?>
							<?php echo $options['facebook_tooltip'] ?>
						<?php } else { // sonst gib den Standard-Tooltip-Text aus ?>
							Mein Facebook-Profil
						<?php } ?> 
					</span>
					</a>

				<?php } ?> 

				<?php if ($options['twitter'] == 1) { // Twitter Icon anzeigen ?>
					<a href="<?php echo $options['twitter_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/twitter.png">
					<span>
						<?php if ($options['twitter_tooltip']) { // eigene Beschriftung für den Tooltip-Text ?>
							<?php echo $options['twitter_tooltip'] ?>
						<?php } else { // sonst gib den Standard-Tooltip-Text aus ?>
							Mein Twitter-Profil
						<?php } ?> 
					</span>
					</a>

				<?php } ?> 

				<?php if ($options['google'] == 1) { // Google+ Icon anzeigen ?>
					<a href="<?php echo $options['google_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/google.png">
					<span>
						<?php if ($options['google_tooltip']) { // eigene Beschriftung für den Tooltip-Text ?>
							<?php echo $options['google_tooltip'] ?>
						<?php } else { // sonst gib den Standard-Tooltip-Text aus ?>
							Mein Google+-Profil
						<?php } ?> 
					</span>
					</a>

				<?php } ?> 

				<?php if ($options['xing'] == 1) { // Xing Icon anzeigen ?>
					<a href="<?php echo $options['xing_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/xing.png">
					<span>
						<?php if ($options['xing_tooltip']) { // eigene Beschriftung für den Tooltip-Text ?>
							<?php echo $options['xing_tooltip'] ?>
						<?php } else { // sonst gib den Standard-Tooltip-Text aus ?>
							Mein Xing-Profil
						<?php } ?> 
					</span>
					</a>

				<?php } ?> 

				<?php if ($options['lastfm'] == 1) { // Last.fm Icon anzeigen ?>
					<a href="<?php echo $options['lastfm_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/lastfm.png">
					<span>
						<?php if ($options['lastfm_tooltip']) { // eigene Beschriftung für den Tooltip-Text ?>
							<?php echo $options['lastfm_tooltip'] ?>
						<?php } else { // sonst gib den Standard-Tooltip-Text aus ?>
							Mein Last.fm-Profil
						<?php } ?> 
					</span>
					</a>

				<?php } ?> 

				<?php if ($options['youtube'] == 1) { // Youtube Icon anzeigen ?>
					<a href="<?php echo $options['youtube_url']; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/youtube.png">
					<span>
						<?php if ($options['youtube_tooltip']) { // eigene Beschriftung für den Tooltip-Text ?>
							<?php echo $options['youtube_tooltip'] ?>
						<?php } else { // sonst gib den Standard-Tooltip-Text aus ?>
							Mein Youtube-Profil
						<?php } ?> 
					</span>
					</a>

				<?php } ?> 

				<?php if ($options['rss'] == 1) { // RSS-Feed Icon anzeigen ?>
					<a href="<?php bloginfo('rss2_url'); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/rss.png">
					<span>
						<?php if ($options['rss_tooltip']) { // eigene Beschriftung für den Tooltip-Text ?>
							<?php echo $options['rss_tooltip'] ?>
						<?php } else { // sonst gib den Standard-Tooltip-Text aus ?>
							Hol dir den RSS-Feed
						<?php } ?> 
					</span>
					</a>

				<?php } ?> 

				</ul>
	
			</div><!--social-->

		</div><!--#header-->

		<div id="inhalt">

			<div id="top">

				<?php if ($options['logo'] == 1) { // gib ein Logo aus, wenn Option gewählt ?>

					<div class="logo">
						<a href="<?php echo home_url(); ?>"><img src="<?php header_image(); ?>" height="<?php echo get_custom_header()->height; ?>" width="<?php echo get_custom_header()->width; ?>" alt="" /></a>
					</div><!--.logo-->

				<?php } ?> 

				<div class="suche">

					<form method="get" id="searchform" action="<?php echo home_url(); ?>/">
					<input type="text" value="Suche" name="s" id="s"     
					onblur="if (this.value == '') 
					{this.value = 'Suche';}"
					onfocus="if (this.value == 'Suche')
					{this.value = '';}" />
					<input type="submit" name="" value="" id="sb" />
					</form>

				</div><!--.suche-->

			</div><!--#top-->

		<div class="nav-bar">
			<a href="#navigation" title="Menü ausfahren">Navigation anzeigen &darr;</a>
		</div><!--nav-bar-->

		<div id="navigation">

			<?php wp_nav_menu( array('container' => '') ); // zeige das Nav-Menü ?>

			<!--Ergänzungen für das Nav-Menü bei responsivem Layout-->

			<li class="suche">

				<form method="get" id="searchform" action="<?php echo home_url(); ?>/">
				<input type="text" value="Suche" name="s" id="s"     
				onblur="if (this.value == '') 
				{this.value = 'Suche';}"
				onfocus="if (this.value == 'Suche')
				{this.value = '';}" />
				<input type="submit" name="" value="" id="sb" />
				</form>

			</li><!--.suche-->

			<a class="nav-close" href="#header">&uarr; Menü schließen</a>

		</div><!--#navigation-->

			<?php get_template_part('top_artikel'); // lade das Template für die Top-Artikel ?>