<?php

// Color Picker JS-Script laden

wp_enqueue_script('jscolor.js', get_template_directory_uri() . '/js/jscolor.js'); 


// Theme-Optionen-Seite im Backend hinzufügen

add_action( 'admin_init', 'theme_options_init' );
add_action( 'admin_menu', 'theme_options_add_page' );


// Globale Einstellungen 

function theme_options_init(){
	register_setting( 'og_options', 'og_theme_options', 'theme_options_validate' );
}


// Theme-Optionen im Backend laden

function theme_options_add_page() {
	add_theme_page( 'ACHT - Theme Optionen', 'Theme Optionen', 'edit_theme_options', 'theme_options', 'theme_options_do_page' );
}


// Arrays für die Kombinationsfelder

// hier die Sidebar-Option

$select_options_sidebar = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'rechts (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'links'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'nicht anzeigen'
	)
);

// Top-Artikel 

$select_options_top_artikel = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'meistkommentierte Artikel (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'zufällig ausgewählte Artikel'
	)
);

// die Artikelanzeige

$select_options_artikel = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'bis zum Weiterlesen-Link (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'Kurzfassung'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'vollständig'
	)

);

// Anzahl Artikel nebeneinander

$select_options_artikel_nebeneinander = array(
	'0' => array(
		'value' =>	'0',
		'label' => '1 (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => '2'
	),
	'2' => array(
		'value' =>	'2',
		'label' => '3'
	)

);

// das Farbschema

$select_options_css = array(
	'0' => array(
		'value' =>	'0',
		'label' => 'rot (Standard)'
	),
	'1' => array(
		'value' =>	'1',
		'label' => 'blau'
	),
	'2' => array(
		'value' =>	'2',
		'label' => 'dunkel'
	)
);



// Theme-Optionen-Seite ausgeben

function theme_options_do_page() {
	global $select_options_sidebar, $select_options_artikel, $select_options_top_artikel, $select_options_artikel_nebeneinander, $select_options_css;

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;

	?>
	<div class="wrap">

		<?php screen_icon(); echo "<h2>" . wp_get_theme() . ' Theme Optionen' . "</h2>"; ?>
		<img style="position: absolute; width: 150px; height: 40px; bottom: 40px; right: 10px; padding: 10px; z-index: 1;" src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo">

		<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
		<div class="updated fade"><p><strong>Optionen gespeichert</strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">

			<p class="submit">
				<input type="submit" class="button-primary" value="Änderungen übernehmen" />
			</p>

			<?php settings_fields( 'og_options' ); ?>
			<?php $options = get_option( 'og_theme_options' ); ?>

			<h3>Theme-Optionen</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Breite des Inhaltsbereichs</th>
					<td>
						<input id="og_theme_options[inhalt_breite]" class="regular-text" type="text" name="og_theme_options[inhalt_breite]" value="<?php echo esc_attr( $options['inhalt_breite'] ); ?>" />
						<label class="description" for="og_theme_options[inhalt_breite]">Wie breit soll der Inhaltsbereich sein? Trag hier einen festen Pixel-Wert (XXpx) oder einen Prozentwert (XX%) ein (Standard 1000 Pixel)</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Logo</th>
					<td>
						<input id="og_theme_options[logo]" name="og_theme_options[logo]" type="checkbox" value="1" <?php checked( '1', $options['logo'] ); ?> />
						<label class="description" for="og_theme_options[logo]">Zeigt ein Logo im Kopfbereich an. Du kannst dein eigenes Logo im Design-Menü unter dem Punkt "Kopfzeile" einstellen.</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Bloginfo</th>
					<td>
						<input id="og_theme_options[bloginfo]" name="og_theme_options[bloginfo]" type="checkbox" value="1" <?php checked( '1', $options['bloginfo'] ); ?> />
						<label class="description" for="og_theme_options[bloginfo]">Zeigt den Namen des Blogs sowie den Slogan im Kopfbereich an</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Top-Artikel</th>
					<td>
						<input id="og_theme_options[top_artikel]" name="og_theme_options[top_artikel]" type="checkbox" value="1" <?php checked( '1', $options['top_artikel'] ); ?> />
						<label class="description" for="og_theme_options[top_artikel]">Zeigt vier ausgewählte Artikel oberhalb des Inhaltsbereichs</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Als Top-Artikel sollen angezeigt werden</th>
					<td>
						<select name="og_theme_options[top_artikel_art]">
							<?php
								$selected = $options['top_artikel_art'];
								$p = '';
								$r = '';

								foreach ( $select_options_top_artikel as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Überschrift für Top-Artikel</th>
					<td>
						<input id="og_theme_options[top_artikel_title]" class="regular-text" type="text" name="og_theme_options[top_artikel_title]" value="<?php echo esc_attr( $options['top_artikel_title'] ); ?>" />
						<label class="description" for="og_theme_options[top_artikel_title]">Trag hier deine eigene Überschrift für die Top-Artikel ein (Standard: Meistkommentierte Artikel oder Zufällige Artikel)</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Vorschau für Top-Artikel</th>
					<td>
						<input id="og_theme_options[top_artikel_excerpt]" name="og_theme_options[top_artikel_excerpt]" type="checkbox" value="1" <?php checked( '1', $options['top_artikel_excerpt'] ); ?> />
						<label class="description" for="og_theme_options[top_artikel_excerpt]">Zeigt eine Vorschau (excerpt) auf den Inhalt des Top-Artikels als Tooltip an</label>
					</td>
				</tr>


				<tr valign="top"><th scope="row">Artikel nebeneinander anzeigen</th>
					<td>
						<select name="og_theme_options[artikel_nebeneinander]">
							<?php
								$selected = $options['artikel_nebeneinander'];
								$p = '';
								$r = '';

								foreach ( $select_options_artikel_nebeneinander as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="og_theme_options[artikel_nebeneinander]">Wieviele Artikel sollen auf den Blogseiten nebeneinander angezeigt werden?</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Anzahl der Artikel und Kommentare</th>
					<td>
						<input id="og_theme_options[anzahl]" name="og_theme_options[anzahl]" type="checkbox" value="1" <?php checked( '1', $options['anzahl'] ); ?> />
						<label class="description" for="og_theme_options[anzahl]">Zeigt im Fußbereich die Anzahl der Artikel und Kommentare des Blogs</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Copyright-Text</th>
					<td>
						<input id="og_theme_options[copyright]" class="regular-text" type="text" name="og_theme_options[copyright]" value="<?php echo esc_attr( $options['copyright'] ); ?>" />
						<label class="description" for="og_theme_options[copyright]">Trag hier deinen eigenen Copyright-Verweis ein</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Google Analytics Code</th>
					<td>
						<textarea id="og_theme_options[google_analytics]" class="large-text" cols="1" rows="10" type="text" name="og_theme_options[google_analytics]"><?php echo esc_textarea( $options['google_analytics'] ); ?></textarea>
						<label class="description" for="og_theme_options[google_analytics]">Füge hier deinen Google Analytics Tracking-Code ein</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Tooltip für oben gehaltene Artikel</th>
					<td>
						<input id="og_theme_options[sticky_text]" class="regular-text" type="text" name="og_theme_options[sticky_text]" value="<?php echo esc_attr( $options['sticky_text'] ); ?>" />
						<label class="description" for="og_theme_options[sticky_text]">Trag hier deinen eigenen Tooltip-Hinweistext für oben gehaltene Artikel ein (Standard: "Dies ist ein oben gehaltener Artikel")</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzahl Zeichen für Kurzfassung</th>
					<td>
						<input id="og_theme_options[excerpt_zeichen]" class="regular-text" type="text" name="og_theme_options[excerpt_zeichen]" value="<?php echo esc_attr( $options['excerpt_zeichen'] ); ?>" />
						<label class="description" for="og_theme_options[excerpt_zeichen]">Anzahl der Zeichen für die Kurzfassung (excerpt) von Artikeln (Standard: 55 Zeichen)</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">More-Link bei Kurzfassung</th>
					<td>
						<input id="og_theme_options[excerpt_moretag]" name="og_theme_options[excerpt_moretag]" type="checkbox" value="1" <?php checked( '1', $options['excerpt_moretag'] ); ?> />
						<label class="description" for="og_theme_options[excerpt_moretag]">Zeigt einen Weiterlesen-Link bei der Kurzfassung von Artikeln</label>
					</td>
				</tr>

			</table>

			<h3>Artikel-Optionen</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Anzeige der Artikel</th>
					<td>
						<select name="og_theme_options[artikelanzeige]">
							<?php
								$selected = $options['artikelanzeige'];
								$p = '';
								$r = '';

								foreach ( $select_options_artikel as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="og_theme_options[artikelanzeige]">Wie sollen die Artikel angezeigt werden?</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Artikelinformationen</th>
					<td>
						<input id="og_theme_options[artikelinfo]" name="og_theme_options[artikelinfo]" type="checkbox" value="1" <?php checked( '1', $options['artikelinfo'] ); ?> />
						<label class="description" for="og_theme_options[artikelinfo]">Zeigt Artikelinformationen (Datum, Kategorie, Tags, etc.)</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Autor</th>
					<td>
						<input id="og_theme_options[autor]" name="og_theme_options[autor]" type="checkbox" value="1" <?php checked( '1', $options['autor'] ); ?> />
						<label class="description" for="og_theme_options[autor]">Zeigt den Namen des Autors in den Artikelinformationen</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Artikelempfehlung</th>
					<td>
						<input id="og_theme_options[artikelempfehlung]" name="og_theme_options[artikelempfehlung]" type="checkbox" value="1" <?php checked( '1', $options['artikelempfehlung'] ); ?> />
						<label class="description" for="og_theme_options[artikelempfehlung]">Zeigt bis zu vier ähnliche Beiträge unterhalb des Artikels auf Basis des ersten Schlagworts</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Überschrift für Artikelempfehlung</th>
					<td>
						<input id="og_theme_options[artikelempfehlung_title]" class="regular-text" type="text" name="og_theme_options[artikelempfehlung_title]" value="<?php echo esc_attr( $options['artikelempfehlung_title'] ); ?>" />
						<label class="description" for="og_theme_options[artikelempfehlung_title]">Trag hier deine eigene Überschrift für die Artikelempfehlung ein (Standard: Ähnliche Artikel)</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Artikelnavigation oben</th>
					<td>
						<input id="og_theme_options[navi_top]" name="og_theme_options[navi_top]" type="checkbox" value="1" <?php checked( '1', $options['navi_top'] ); ?> />
						<label class="description" for="og_theme_options[navi_top]">Zeigt oberhalb des Artikels eine Artikelnavigation</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Artikelnavigation unten</th>
					<td>
						<input id="og_theme_options[navi_unten]" name="og_theme_options[navi_unten]" type="checkbox" value="1" <?php checked( '1', $options['navi_unten'] ); ?> />
						<label class="description" for="og_theme_options[navi_unten]">Zeigt unterhalb des Artikels eine Artikelnavigation</label>
					</td>
				</tr>

			</table>

			<h3>Artikelübersicht</h3>

			<table class="form-table">

				<tr valign="top"><th scope="row">Anzeige Kategorieübersicht</th>

					<td>
						<input id="og_theme_options[kategoriearchiv]" name="og_theme_options[kategoriearchiv]" type="checkbox" value="1" <?php checked( '1', $options['kategoriearchiv'] ); ?> />
						<label class="description" for="og_theme_options[kategoriearchiv]">Zeigt eine Liste aller Kategorien</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Schlagwortübersicht</th>

					<td>
						<input id="og_theme_options[tagarchiv]" name="og_theme_options[tagarchiv]" type="checkbox" value="1" <?php checked( '1', $options['tagarchiv'] ); ?> />
						<label class="description" for="og_theme_options[tagarchiv]">Zeigt eine Liste aller Schlagworte</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Jahresarchiv</th>

					<td>
						<input id="og_theme_options[jahresarchiv]" name="og_theme_options[jahresarchiv]" type="checkbox" value="1" <?php checked( '1', $options['jahresarchiv'] ); ?> />
						<label class="description" for="og_theme_options[jahresarchiv]">Zeigt das Jahresarchiv (Anzahl Artikel nach Jahren)</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Monatsarchiv</th>

					<td>
						<input id="og_theme_options[monatsarchiv]" name="og_theme_options[monatsarchiv]" type="checkbox" value="1" <?php checked( '1', $options['monatsarchiv'] ); ?> />
						<label class="description" for="og_theme_options[monatsarchiv]">Zeigt das Monatsarchiv (Anzahl Artikel nach Monaten)</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Tagesarchiv</th>

					<td>
						<input id="og_theme_options[tagesarchiv]" name="og_theme_options[tagesarchiv]" type="checkbox" value="1" <?php checked( '1', $options['tagesarchiv'] ); ?> />
						<label class="description" for="og_theme_options[tagesarchiv]">Zeigt das Tagesarchiv (Anzahl Artikel nach Tagen)</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Artikelliste</th>

					<td>
						<input id="og_theme_options[artikelliste]" name="og_theme_options[artikelliste]" type="checkbox" value="1" <?php checked( '1', $options['artikelliste'] ); ?> />
						<label class="description" for="og_theme_options[artikelliste]">Zeigt eine alphabetische Liste aller Artikel</label>
					</td>
				</tr>

			</table>

			<h3>Sidebar</h3>
			<table class="form-table">
				<tr valign="top"><th scope="row">Anordnung der Sidebar</th>
					<td>
						<select name="og_theme_options[sidebar_alignment]">
							<?php
								$selected = $options['sidebar_alignment'];
								$p = '';
								$r = '';

								foreach ( $select_options_sidebar as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="og_theme_options[sidebar_alignment]">Sidebar rechts (Standard), links des Inhaltsbereichs oder ausblenden</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Anzeige Footer-Widget-Bereich</th>
					<td>
						<input id="og_theme_options[footer_widgets]" name="og_theme_options[footer_widgets]" type="checkbox" value="1" <?php checked( '1', $options['footer_widgets'] ); ?> />
						<label class="description" for="og_theme_options[footer_widgets]">Widget-Bereich in der Fußzeile anzeigen</label>
					</td>
				</tr>

			</table>

			<h3>Theme-Design</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Farbschema</th>
					<td>
						<select name="og_theme_options[css]">
							<?php
								$selected = $options['css'];
								$p = '';
								$r = '';

								foreach ( $select_options_css as $option ) {
									$label = $option['label'];
									if ( $selected == $option['value'] ) // Make default first in list
										$p = "\n\t<option style=\"padding-right: 10px;\" selected='selected' value='" . esc_attr( $option['value'] ) . "'>$label</option>";
									else
										$r .= "\n\t<option style=\"padding-right: 10px;\" value='" . esc_attr( $option['value'] ) . "'>$label</option>";
								}
								echo $p . $r;
							?>
						</select>
						<label class="description" for="og_theme_options[css]">Wähle das Farbschema des Themes</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Farbe der Hyperlinks</th>
					<td>
						<input id="og_theme_options[link_color]" class="color {required:false,pickerClosable:true} regular-text" type="text" name="og_theme_options[link_color]" value="<?php echo esc_attr( $options['link_color'] ); ?>" />

						<label class="description" for="og_theme_options[link_color]">Ändere hier die Farbe der Hyperlinks</label>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Farbe der Hyperlinks :hover</th>
					<td>
						<input id="og_theme_options[hover_color]" class="color {required:false,pickerClosable:true} regular-text" type="text" name="og_theme_options[hover_color]" value="<?php echo esc_attr( $options['hover_color'] ); ?>" />

						<label class="description" for="og_theme_options[hover_color]">Ändere hier die Farbe der Hyperlinks bei :hover</label>
					</td>
				</tr>

			</table>

			<h3>Soziale Netzwerke</h3>
			<table class="form-table">

				<tr valign="top"><th scope="row">Facebook</th>

					<td style="width: 10%;">
						<img src="<?php echo get_template_directory_uri(); ?>/images/facebook.png" alt="Facebook">
						<input id="og_theme_options[facebook]" name="og_theme_options[facebook]" type="checkbox" value="1" <?php checked( '1', $options['facebook'] ); ?> />
					</td>

					<td style="width: 40%;">
						<input id="og_theme_options[facebook_url]" class="regular-text" type="text" name="og_theme_options[facebook_url]" value="<?php echo esc_attr( $options['facebook_url'] ); ?>" />
						<label class="description" for="og_theme_options[facebook_url]">URL zu deinem Facebook-Profil</label>
					</td>

					<td style="width: 40%;">
						<input id="og_theme_options[facebook_tooltip]" class="regular-text" type="text" name="og_theme_options[facebook_tooltip]" value="<?php echo esc_attr( $options['facebook_tooltip'] ); ?>" />
						<label class="description" for="og_theme_options[facebook_tooltip]">Tooltip-Text</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Twitter</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/twitter.png" alt="Twitter">
						<input id="og_theme_options[twitter]" name="og_theme_options[twitter]" type="checkbox" value="1" <?php checked( '1', $options['twitter'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[twitter_url]" class="regular-text" type="text" name="og_theme_options[twitter_url]" value="<?php echo esc_attr( $options['twitter_url'] ); ?>" />
						<label class="description" for="og_theme_options[twitter_url]">URL zu deinem Twitter-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[twitter_tooltip]" class="regular-text" type="text" name="og_theme_options[twitter_tooltip]" value="<?php echo esc_attr( $options['twitter_tooltip'] ); ?>" />
						<label class="description" for="og_theme_options[twitter_tooltip]">Tooltip-Text</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Google+</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/google.png" alt="Google+">
						<input id="og_theme_options[google]" name="og_theme_options[google]" type="checkbox" value="1" <?php checked( '1', $options['google'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[google_url]" class="regular-text" type="text" name="og_theme_options[google_url]" value="<?php echo esc_attr( $options['google_url'] ); ?>" />
						<label class="description" for="og_theme_options[google_url]">URL zu deinem Google+-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[google_tooltip]" class="regular-text" type="text" name="og_theme_options[google_tooltip]" value="<?php echo esc_attr( $options['google_tooltip'] ); ?>" />
						<label class="description" for="og_theme_options[google_tooltip]">Tooltip-Text</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Xing</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/xing.png" alt="Xing">
						<input id="og_theme_options[xing]" name="og_theme_options[xing]" type="checkbox" value="1" <?php checked( '1', $options['xing'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[xing_url]" class="regular-text" type="text" name="og_theme_options[xing_url]" value="<?php echo esc_attr( $options['xing_url'] ); ?>" />
						<label class="description" for="og_theme_options[xing_url]">URL zu deinem Xing-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[xing_tooltip]" class="regular-text" type="text" name="og_theme_options[xing_tooltip]" value="<?php echo esc_attr( $options['xing_tooltip'] ); ?>" />
						<label class="description" for="og_theme_options[xing_tooltip]">Tooltip-Text</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Last.fm</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/lastfm.png" alt="Last.fm">
						<input id="og_theme_options[lastfm]" name="og_theme_options[lastfm]" type="checkbox" value="1" <?php checked( '1', $options['lastfm'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[lastfm_url]" class="regular-text" type="text" name="og_theme_options[lastfm_url]" value="<?php echo esc_attr( $options['lastfm_url'] ); ?>" />
						<label class="description" for="og_theme_options[lastfm_url]">URL zu deinem Last.fm-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[lastfm_tooltip]" class="regular-text" type="text" name="og_theme_options[lastfm_tooltip]" value="<?php echo esc_attr( $options['lastfm_tooltip'] ); ?>" />
						<label class="description" for="og_theme_options[lastfm_tooltip]">Tooltip-Text</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Youtube</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/youtube.png" alt="Youtube">
						<input id="og_theme_options[youtube]" name="og_theme_options[youtube]" type="checkbox" value="1" <?php checked( '1', $options['youtube'] ); ?> />
					</td>

					<td>
						<input id="og_theme_options[youtube_url]" class="regular-text" type="text" name="og_theme_options[youtube_url]" value="<?php echo esc_attr( $options['youtube_url'] ); ?>" />
						<label class="description" for="og_theme_options[youtube_url]">URL zu deinem Youtube-Profil</label>
					</td>

					<td>
						<input id="og_theme_options[youtube_tooltip]" class="regular-text" type="text" name="og_theme_options[youtube_tooltip]" value="<?php echo esc_attr( $options['youtube_tooltip'] ); ?>" />
						<label class="description" for="og_theme_options[youtube_tooltip]">Tooltip-Text</label>

					</td>
				</tr>

				<tr valign="top"><th scope="row">Artikel RSS-Feed</th>

					<td>
						<img src="<?php echo get_template_directory_uri(); ?>/images/rss.png" alt="RSS-Feed">
						<input id="og_theme_options[rss]" name="og_theme_options[rss]" type="checkbox" value="1" <?php checked( '1', $options['rss'] ); ?> />
					</td>

					<td>
						<input readonly="readonly" class="regular-text" type="text" value="<?php bloginfo('rss2_url'); ?>" />
						<label class="description">URL zum RSS-Feed</label>
					</td>

					<td>
						<input id="og_theme_options[rss_tooltip]" class="regular-text" type="text" name="og_theme_options[rss_tooltip]" value="<?php echo esc_attr( $options['rss_tooltip'] ); ?>" />						
						<label class="description" for="og_theme_options[rss_tooltip]">Tooltip-Text</label>

					</td>
				</tr>

			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="Änderungen übernehmen" />
			</p>
		</form>
	</div>
	<?php
}


// Eingaben prüfen

function theme_options_validate( $input ) {
	global $select_options_sidebar, $select_options_artikel, $select_options_top_artikel, $select_options_artikel_nebeneinander, $select_options_css;

	// Our checkbox value is either 0 or 1
	if ( ! isset( $input['bloginfo'] ) )
		$input['bloginfo'] = null;
	$input['bloginfo'] = ( $input['bloginfo'] == 1 ? 1 : 0 );

	if ( ! isset( $input['top_artikel'] ) )
		$input['top_artikel'] = null;
	$input['top_artikel'] = ( $input['top_artikel'] == 1 ? 1 : 0 );

	if ( ! isset( $input['artikelempfehlung'] ) )
		$input['artikelempfehlung'] = null;
	$input['artikelempfehlung'] = ( $input['artikelempfehlung'] == 1 ? 1 : 0 );

	if ( ! isset( $input['anzahl'] ) )
		$input['anzahl'] = null;
	$input['anzahl'] = ( $input['anzahl'] == 1 ? 1 : 0 );

	// Our select option must actually be in our array of select options
	if ( ! array_key_exists( $input['sidebar_alignment'], $select_options_sidebar ) )
		$input['sidebar_alignment'] = null;

	if ( ! array_key_exists( $input['artikelanzeige'], $select_options_artikel ) )
		$input['artikelanzeige'] = null;

	if ( ! array_key_exists( $input['top_artikel_art'], $select_options_top_artikel ) )
		$input['top_artikel_art'] = null;

	if ( ! array_key_exists( $input['top_artikel_art'], $select_options_artikel_nebeneinander ) )
		$input['top_artikel_art'] = null;

	if ( ! array_key_exists( $input['css'], $select_options_css ) )
		$input['css'] = null;


	return $input;
}


// adapted from http://planetozh.com/blog/2009/05/handling-plugins-options-in-wordpress-28-with-register_setting/